<?php
// Version: 1.0: GuestRegistrationNotification.php

if (!defined('SMF'))
	die('Hacking attempt...');

function grn_load_theme()
{
	global $context, $modSettings, $board, $topic, $user_info;

	// Make sure we arent intercepting AJAX calls
	if (isset($_REQUEST['xml']))
		return;

	// If ... dont bother
	if (!$user_info['is_guest'] || empty($modSettings['enable_guest_notify']) || empty($modSettings['guest_notify_contents']) || empty($modSettings['guest_notify_title']))
		return;

	if (empty($context['current_action']) && !empty($board) && empty($topic) && empty($modSettings['guest_notify_enable_boards']))
		return;

	if (empty($context['current_action']) && !empty($topic) && empty($modSettings['guest_notify_enable_posts']))
		return;

	// Show the floating bar only if the user is a guest, is not registering or logging in.
	if ($context['current_action'] != 'login' && $context['current_action'] != 'register')
	{
		loadLanguage('GuestRegistrationNotification');
		$context['template_layers'][] = 'grn';
	}
}

function grn_general_mod_settings(&$config_vars)
{
	loadLanguage('GuestRegistrationNotification');
	$config_vars = array_merge($config_vars, array(
		'',
		array('check', 'enable_guest_notify'),
		array('text', 'guest_notify_title', 20),
		array('text', 'guest_notify_img_path', 40),
		array('large_text', 'guest_notify_contents'),
		array('large_text', 'guest_notify_css'),
		array('large_text', 'guest_notify_css_title'),
		'',
		array('check', 'guest_notify_enable_boards'),
		array('check', 'guest_notify_enable_posts'),
	));
}

function template_grn_above()
{
	global $txt, $modSettings;

	$notification = (!empty($modSettings['guest_notify_css'])) ? '<div style="padding: 1em;margin-bottom: 1em;' . $modSettings['guest_notify_css'] . '">' : '<div style="padding: 1em;border: 1px solid #cc3344;color: #000;background-color: #ffe4e9;margin-bottom: 1em;">';
	$notification .= (!empty($modSettings['guest_notify_img_path'])) ? '<img style="float: left; width: 2ex; font-size: 2em; color: red; padding-right: 5px;" src="' . $modSettings['guest_notify_img_path'] . '" title="" />' : '<p style="padding: 0;margin: 0;float: left;width: 1em;font-size: 1.5em;color:red;">!!</p>';
	if (!empty($modSettings['guest_notify_title']))
		$notification .= (!empty($modSettings['guest_notify_css_title'])) ? '<h3 style="padding: 0;margin: 0;' . $modSettings['guest_notify_css_title'] . '">' . $modSettings['guest_notify_title'] . '</h3>' : '<h3 style="padding: 0;margin: 0;font-size: 1.1em;text-decoration: underline;">' . $modSettings['guest_notify_title'] . '</h3>';
	$notification .= '<p style="margin: 0;">' . (empty($modSettings['guest_notify_contents']) ? sprintf($txt['welcome_guest'], $txt['guest_title']) : parse_bbc($modSettings['guest_notify_contents'])) . '</p></div>';
	echo $notification;

}

function template_grn_below() {}

?>